<?php

  date_default_timezone_set('America/Costa_Rica');

	include ("../conexion.php");
 
echo $codnota=$_GET["codnota"];
echo $horaactual = date("h:i:s A");

   
    $consulta = "SELECT * FROM web_0000 ";
	$resultado = $mysqli->query($consulta);
	$fila = $resultado->fetch_array();

         $nomcom = $fila["NOMCOM"];
	     $razsoc = $fila["RAZSOC"];
		 $cedjur = $fila["CEDJUR"];
		 $diremp = $fila["DIREMP"];
		 $numtel_empresa = $fila["NUMTEL"];
		 $numofi = $fila["numofi"];
		 $menfac = $fila["menfac"];
         $intmor = $fila["INTMOR"];
		 $tipimp = $fila["TIPIMP"];
		 $ter001 = $fila["TER001"];
		 $ter002 = $fila["TER002"];
		 $ter003 = $fila["TER003"];

   $consulta ="Select * from apartados_facturas_notas where codnota = $codnota";
	  $result = $mysqli->query($consulta);
      $row = $result->fetch_array();


        $fecha     = $row["fecha"];
		$fecha     = implode("-", array_reverse(explode("-", $fecha)));
		$numcomp   = $row["numcomp"];
		$cdgcli    = $row["cdgcli"];
		$dsccli    = $row["dsccli"];	
		$totalnota = $row["totalnota"];
    	$cdgven    = $row["cdgven"];
		$tipapli   = $row["tipapli"];
   
   		
	  $usuario ="SELECT * FROM usuarios WHERE codusu='$cdgven'";
	  $result3 = $mysqli->query($usuario);
      $row3 = $result3->fetch_array();

     $Vendedor  = $row3["usu"];		


      $cliente ="Select * from web_0301 where cdgcli= $cdgcli";
	  $result2 = $mysqli->query($cliente);
      $row2 = $result2->fetch_array();

      $saldo_cliente = $row2["SALACT"];

		$subtotal        = 0;
		$impuesto_venta  = 0;
		$total_descuento = 0;
		$total           = 0;
				   

$ip = $_SERVER["REMOTE_ADDR"];

if ($ip=="192.168.1.13"){

echo $puerto="LPT1";

  } else {
  
echo $puerto="LPT1";



  }  



if(($handle = @fopen($puerto, "w")) === FALSE){
   		echo exec('Impresoras');
        die('No se puede Imprimir, Verifique la conexion con la IMPRESORA'); // Revisa la conexion con la impresora
    }
setlocale(LC_TIME, 'spanish');





fwrite($handle,chr(27). chr(64));//reinicio


//Salida: viernes 24 de febrero del 2012

if ($tipimp=="MATRIX"){  //  ************************Si la impresora es TIPO MATRIX ****************************/////////////// 

//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle,  chr(27). chr(20). chr(0));//salto de linea VACIO
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRASRAS
//fwrite($handle, chr(27). chr(72). chr(5));//Color Rojo

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******

fwrite($handle, chr(27). chr(97). chr(1));//centrado
	  $recibo = "Nota Apartado: ".$numcomp;

	    $cajrec = str_pad("Vendedor: " . $Vendedor , 40);
fwrite($handle,$recibo);
fwrite($handle, chr(27). chr(97). chr(0));//izquierda

fwrite($handle,"Fecha: ". $fecha);


fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle,"Cliente: " . $cdgcli ." - ".$dsccli);



fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $cajrec);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cantidad    "."    P/U        "."     Subtotal");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha


$consulta3 = "SELECT apartados_factulinea_notas.*,web_1001.* FROM apartados_factulinea_notas,web_1001 WHERE apartados_factulinea_notas.codnota='$codnota' AND apartados_factulinea_notas.codigo=web_1001.cdgbar ORDER BY apartados_factulinea_notas.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];							
							
							
							$prenivi=$importe/$cantidad;
					
					$subtotal=$subtotal + $importe;
					$impuesto_venta=$impuesto_venta + $impuesto;
			     	$total_descuento=$total_descuento + $descuento;
				   $total=$subtotal-$total_descuento+$impuesto_venta;
						
					if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }

$sublin=$importe;
// formula inserta espacion ///

	$canart = str_pad($cantidad, 14); 
	
	$resultado=number_format($sublin,2,".",",");
	$sublin=sprintf("%13s",$resultado) ;
	
	$prenivi=number_format($prenivi,2,".",",");
    $prenivi = str_pad($prenivi, 11);
   
   
  if ($cdgbar == 100 ) {
  
  		fwrite($handle, chr(27). chr(97). chr(2));//derecha		

  $acotado = substr($dscart." ", 0, 40);
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
    fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
  
  
  
   } else {
   
   		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $canart ."". $prenivi ."". $sublin." ".$impart);	
  $acotado = substr($dscart." ", 0, 40);

   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
    fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   
   
   
    } 		
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%16s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%16s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%16s",$impuesto) ;
fwrite($handle,"       I.V :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRASRAS
$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;
fwrite($handle,"       TOTAL NOTA:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRASRAS

	if ($tipapli==1) { 


fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "EFECTIVO");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
					
	 } else { 


fwrite($handle,"----------Facturas Afectadas ----------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Factura". "      Monto Aplicado"."      Saldo");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
					

	$consulta3 ="SELECT * FROM pagos_clientes_notas_lineas WHERE codnota='$codnota' AND   cdgcli='$cdgcli'  ORDER BY numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea = $fila["numlinea"];
        $salfac   = $fila["salfac"];
        $numfac   = substr($fila["numfac"],-10);
		$monabo   = $fila["monabo"];
		$totfac   = $fila["totfac"];


	$factura = str_pad($numfac, 10); 

	$monabo=number_format($monabo,2,".",",");
	$abono = str_pad($monabo, 15);
	
	$resultado=number_format($salfac,2,".",",");
	$saldo_fac=sprintf("%13s",$resultado) ;

 
	fwrite($handle, chr(27). chr(97). chr(2));//derecha		
    fwrite($handle, $factura ."". $abono ."". $saldo_fac);	
    fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

					
				 } 
		 }



fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"(E)Articulo Exento - (G)Articulo Gravado"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel
//fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel


}      //**********************************  Cierra tipo de impresora matrix ****************************************//


if ($tipimp=="TERMICA"){  //  ************************Si la impresora es TIPO TERMICA ****************************///////////////



fwrite($handle,chr(27). chr(64));//reinicio


//Salida: viernes 24 de febrero del 2012


fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(56));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(72). chr(5));//Color Rojo

fwrite($handle, "  ".$nomcom);

fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle,  "    ".$razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"    Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,  "    ".$diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"    Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS

	  $recibo = "Nota Credito: ".$numcomp;

fwrite($handle, $recibo );
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
$CAJERO = str_pad("    Cajero: " .$Vendedor ,27);
fwrite($handle,"    Fecha: ". $fecha."                ".$horaactual);



fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS
  $dsccli = substr($dsccli." ", 0,30);
fwrite($handle,"    Cliente: " . $cdgcli ."-".$dsccli);

fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, $CAJERO);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"    Articulo    "."             Cant."."         TOTAL");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(97). chr(2));//Derecha



$consulta3 = "SELECT apartados_factulinea_notas.*,web_1001.* FROM apartados_factulinea_notas,web_1001 WHERE apartados_factulinea_notas.codnota='$codnota' AND apartados_factulinea_notas.codigo=web_1001.cdgbar ORDER BY apartados_factulinea_notas.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];	
		
							

							$prenivi=$importe/$cantidad;
					
					$subtotal=$subtotal + $importe;
					$impuesto_venta=$impuesto_venta + $impuesto;
			     	$total_descuento=$total_descuento + $descuento;
				   $total=$subtotal-$total_descuento+$impuesto_venta;
						
					if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }

$sublin=$importe;
// formula inserta espacion ///
// formula inserta espacion ///

 
$tamaño=strlen($cantidad);
if($tamaño==4)   {  
  $acotado = substr($dscart." ", 0, 23);
 $acotado = str_pad($acotado, 26);
 $canart = str_pad($cantidad, 4); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
 if($tamaño==5)   {  
  $acotado = substr($dscart." ", 0, 22);
 $acotado = str_pad($acotado, 25);
 $canart = str_pad($cantidad, 5); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
  if($tamaño==6)   {  
  $acotado = substr($dscart." ", 0, 22);
 $acotado = str_pad($acotado, 24);
 $canart = str_pad($cantidad, 6); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
   if($tamaño==7)   {  
  $acotado = substr($dscart." ", 0, 22);
 $acotado = str_pad($acotado, 23);
 $canart = str_pad($cantidad, 7); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
  
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle,"    ".$acotado ."". $canart ."". $sublin."".$impart);	


   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


					
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"                                     -----------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;
fwrite($handle,"       TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS

   //////////////////////////////////////////   factura de Credito ///////////////////////////////////////////////////////////////

	if ($tipapli==1) { 


fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "EFECTIVO");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
					
	 } else { 

fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"      ----------Facturas Afectadas ----------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"    Factura". "      Monto Aplicado"."            Saldo");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

					

	$consulta3 ="SELECT * FROM pagos_clientes_notas_lineas WHERE codnota='$codnota' AND   cdgcli='$cdgcli'  ORDER BY numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea = $fila["numlinea"];
        $salfac   = $fila["salfac"];
        $numfac   = substr($fila["numfac"],-10);
		$monabo   = $fila["monabo"];
		$totfac   = $fila["totfac"];



	
$resultado=number_format($salfac,2,".",",");
$saldo_factura=sprintf("%17s",$resultado) ;

 
$pago=number_format($monabo,2,".",",");
 $abono = sprintf("%17s",$pago) ;
 
	fwrite($handle, chr(27). chr(97). chr(2));//derecha		
    fwrite($handle, $numfac ."". $abono ."". $saldo_factura);	
    fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

					
				 } 
		 }


fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "    "."(E) Exento  (G) Gravado"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel


 }///////////////////////////////////////   CIERRA IMPRESION TERMICA  ///////////////////////////////////////////
		
fclose($handle); // cierra el fichero PRN
$salida = shell_exec('lpr $puerto'); //lpr->puerto impresora, imprimir archivo PRN
echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";

////////////////////////////////
?>

 